/**************************************
 * TGame.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef GAME_H
#define GAME_H

class TGameView;
class TBlitView	;
class TStringView;
class Board;
class Tetris;
class TWindow;
class THighScore;

class	TGame : public BLooper {
	public:
							TGame(TWindow *, int, int);
		virtual	void		MessageReceived(BMessage *msg);
				void		UpdateScore();
				void		DrawNext();
				void		ClearNext();
				void 		ShiftPieceDown();
				void		Stop();
				void		GameOver();
				void 		HandleKeys(ulong);
				void		TogglePause();
				bool    	PausedQ();
				void		MyQuit();
				void		ShowMessage(const char *, bool);
		static	long 		Timer(void *arg);
				long		TimerLoop();
				void    	SetKeys(ulong, ulong, ulong, ulong, ulong);
			
	private:	
				Tetris			*current, *next;
				Board			*theBoard;
				
				TGameView		*arena;
				TBlitView		*nextBlit;
				BView			*arenaview, *nextview;
				BBitmap			*arenaoff;
				TStringView 	*scoreview, *linesview, *levelview;
				
				THighScore    	*high_scores;
				TWindow 		*w;
				
				int				score, level, lines, start;
				bool			pause, done, removing_rows;
				ulong			left, right, drop, cw, ccw;
				thread_id		timer_thread;
};

#endif