/**************************************
 * THighScore.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef HIGHSCORE_H
#define HIGHSCORE_H

const int MAX_HIGH_SCORES = 15;

typedef struct _score_t {
	char		name[32];
	int			score;
	int 		level;
	int			lines;
	
	/* the following three ints are currently unused */
	int 		month, day, year; 
} score_t;

/***************
 * THighScore
 **************/

class THighScore {
	public:
								THighScore();
						void    OpenScores();
						void	CloseScores();
						void	ReadScores();
						void	InsertNewScore(score_t);
						void    WriteScores();
						void    DisplayScores();
						void    ClearScores();
						void 	PromptPlayerName(char *);
						
						char*   PlayerName(int);
						int		PlayerScore(int);

	private:
						char          name[64];
						BVolume       boot;
						BDirectory	  *root, *dest;
						BFile         *high_scores;
						score_t		  top[MAX_HIGH_SCORES];
};

/***************
 * TScoreWindow
 **************/

class TScoreWindow : public BWindow {
	public:
						TScoreWindow(BRect, sem_id);
	virtual void		MessageReceived(BMessage *);
	virtual bool		QuitRequested();
			void		SetScores(THighScore *);
			
	private:
		BTextView		*text;
		THighScore		*scores;
		sem_id			mySem;

};

/*********************
 * TNameInputWindow
 ********************/

class TNameInputWindow : public BWindow {
	public:
						TNameInputWindow(BRect, char *, sem_id );
		virtual bool	QuitRequested();
		
	private:
		char 			*name;
		BStringView		*prompt;
		BBox			*border;
		BTextView		*input;
		sem_id			mySem;

};
#endif