/**************************************
 * TWindow.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef WINDOW_H
#define WINDOW_H

#include "Tetris.h"
#include "Views.h"
#include "TGame.h"
#include "THighScore.h"

struct window_pointers_t {
	TGameView		*arena;
	TBlitView		*next;
	BBitmap			*arenaoff, *nextoff;
	BView			*arenaview, *nextview;
	TStringView 	*score, *level, *lines;
	THighScore		*hs;
};

class TWindow : public BWindow {
	public:
					TWindow(BRect bounds, const char *title);
	virtual			~TWindow();
	virtual bool	QuitRequested();
	virtual void	MessageReceived(BMessage *message);
			void 	SetUpMenus(BRect bounds);
			void    ShowHighScores();
			void 	OpenConfigureWindow();
			void    SetKeys(BMessage *);
			void	SetGameToNull();
			void	ReadKeys();
			window_pointers_t	GetViewPointers();
			
	private:
		TGameView		*arena;
		TBlitView		*next;
		BBitmap			*arenaoff, *nextoff;
		BView			*arenaview, *nextview;
		TGame			*theGame;
		BMenuBar		*menuBar;
		TStringView 	*score, *level, *lines;
		THighScore		*hs;
		ulong			left, right, drop, cw, ccw;
		int				start_level, debris_rows;
};

#endif

	