/**************************************
 * Tetris.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef TETRIS_H
#define TETRIS_H

#include "BeTetris.h"
#include "Board.h"
#include "TGame.h"
#include "Views.h"

class Board;
class TGame;
class TBlitView;

	
class Tetris {
	public:
						Tetris(Board *, BView *, TGame *);
	virtual	void		Rotate(int dir);
			void		Shift(int dir);
			 int		ShiftDown();
			bool		Drop();
			void		Set();
			void		DrawSquare(BView *);
			void		Draw();
			void 		DrawNext(BView *, TBlitView *);
			void 		Erase();
		
	private:
		rgb_color		color;
		bool			canRotate;
		BPoint			pivotLoc, bl, br, tl, tr;
		BPoint			layout[SQUARES];
		Board			*myBoard;
		TGame			*myGame;
		BView			*offscreen;
};

#endif