/**************************************
 * Views.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef VIEWS_H
#define VIEWS_H

#include "TGame.h"

/***************
 * TBlitView
 **************/

class TBlitView : public BView {
	public:
						TBlitView(BRect, BBitmap *);
		virtual void 	Draw(BRect);
		virtual void 	Draw();
		
	private:
			BBitmap		*offscreen;
};


/***************
 * TGameView
 **************/

class TGameView : public TBlitView {
	public:
						TGameView(BRect, BBitmap *, BView *);
		virtual void 	KeyDown(ulong);
				void	SetGame(TGame *);
	
	private:
			TGame		*game;
			BView		*offview;
};

/***************
 * TStringView
 **************/

class TStringView : public BView {
	public:
						TStringView(BRect, const char *);
		virtual void 	AttachedToWindow();
				void    SetValue(int);
				
	private:
			int				value;
			BBox			*border;
			BStringView		*string, *label;
};

#endif